#***********************************************************************
#***** @author:  Bernd R. Noack ****************************************
#***** @task:    see x3SolveDS.sh **************************************
#***** @revised: 2008-11-03 Berlin (before posting in WWW) *************
#***** @revised: 2007-09-15 Poitiers ($FortranCompiler,  ...) **********
#***** @version: 2006-06-26 Poitiers ***********************************
#***********************************************************************
source x_DefineLocalVariables.sh

echo "Cleaning the directory"
rm Y3SolveDS

echo "Listing dimensions xGS ..."
cat  "xv_gx.include" | grep "NEMP="
echo ">>> Check if dimensions are OK [3 secs]"
sleep 3

echo "Compiling x3SolveDS ..."
$FortranCompiler x3SolveDS.f xs_ioDS.f xs_control.f -o Y3SolveDS
echo ">>> Check compilation! [3 secs]"
sleep 3

echo "Cleaning the run directory"
rm gnu_ta.dat
rm gnu_*_ds.png

echo "Executing YSolveDS ..."
sleep 1
time ./Y3SolveDS

echo "*** tail -20 gnu_ta_ds.dat ***"
sleep 1
tail -20 gnu_ta_ds.dat

echo "*** phase portrait ***"
sleep 1 

gnuplot x3SolveDS.gnuplot
$PNGViewer gnu_a1aD_ds.png
$PNGViewer gnu_a1a2_ds.png
$PNGViewer gnu_ta1_ds.png
$PNGViewer gnu_ta2_ds.png
$PNGViewer gnu_ta3_ds.png
$PNGViewer gnu_ta4_ds.png
$PNGViewer gnu_taD_ds.png
