************************************************************************
*****                                                              *****
***** @segment name: xs_ioList1d.f                                 *****
*****                                                              *****
***** @task: read, write and analyse files of the Galerkin world   *****
***** The subroutines manipulate 1d lists.                         *****
***** Examples are vectors like <a_i>, <K_i>, <P_i>, ...           ***** 
*****                                                              *****
***** @see: header of xGMshow.f                                    *****
*****                                                              *****
************************************************************************
*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012
************************************************************************

************************************************************************
* === initialize controller ========================================== *
      subroutine initControl(time,fAi,fBi) 
      implicit none
      include 'xv_ds.include'
      real*8  time, fAi(-NAMP:NEMP), fBi(-NAMP:NVFP)
      integer iEM
* --- begin segment -------------------------------------------------- *
      write(*,*) 'Initializing the control ...'
* --- end segment ---------------------------------------------------- *
      return
      end

************************************************************************
* === controller ===================================================== *
      subroutine compControl(time,fAi,fBi)
      implicit none
      include 'xv_ds.include'
      real*8  time, fAi(-NAMP:NEMP), fBi(-NAMP:NVFP)
      integer iEM
* --- begin segment -------------------------------------------------- *
      do iEM = -NAMP, NVFP
         fBi(iEM) = 0.0
      end do
      if (time.gt.500) then
         fBi(1) = -0.3 * fAi(1)
      end if
* --- end segment ---------------------------------------------------- *
      return
      end